# $Revision: 1.11 $, $Date: 2006/12/14 00:01:57 $
%define		_modname	zlib_filter
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - zlib filter implementation backport for PHP 5.0
Summary(pl):	%{_modname} - backport implementacji filtra zlib dla PHP 5.0
Name:		php-pecl-%{_modname}
Version:	1.1
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	1ebb48e3fd1be4593a4eb217fbc1ab53
URL:		http://pecl.php.net/package/zlib_filter/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC 1951 inflate/deflate stream filter implementation. Performs inline
compression/decompression using the deflate method on any PHP I/O
stream. The data produced by this filter, while compatable with the
payload portion of an RFC 1952 gzip file, does not include headers or
tailers for full RFC 1952 gzip compatability. To achieve this format,
use the compress.zlib:// fopen wrapper built directly into PHP.

In PECL status of this extension is: %{_status}.

%description -l pl
Implementacja filtra strumienia inflate/deflate zgodna z RFC 1951.
Wykonuje kompresj/dekompresj metod deflate na dowolnym strumieniu
I/O PHP. Dane stworzone przez ten filtr, bdc kompatybilnymi z
czci RFC 1952 dotyczc payloadu pliku gzip, nie zawieraj
nagwkw ani kocwek dla penej zgodnoci z gzipem wedug RFC 1952.
Aby uzyska ten format, trzeba uy wrappera fopen compress.zlib://
wbudowanego bezporednio w PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure \
	--with-zlib-filter=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-zlib_filter.spec,v $
Revision 1.11  2006/12/14 00:01:57  glen
- rel 6 (php 5.2.0)

Revision 1.10  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.9  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.8  2005/10/30 13:29:27  glen
- rel 4

Revision 1.7  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.6  2005/09/14 22:51:52  glen
- rel 2

Revision 1.5  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.4  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.3  2004/08/12 07:08:45  ankry
- IMHO better pl

Revision 1.2  2004/08/12 06:44:15  qboosh
- pl desc

Revision 1.1  2004/08/08 11:34:27  adamg
- new
